libetonyek::PAG1AnnotationElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::PAG1AnnotationElement Class Reference

`#include <PAG1AnnotationElement.h>`

Inheritance diagram for libetonyek::PAG1AnnotationElement:

## Public Member Functions
| PAG1AnnotationElement (PAG1ParserState &state, IWORKXMLContext &container, bool isRef=false)
Public Member Functions inherited from libetonyek::PAG1XMLContextBase< IWORKXMLContextElement >
| PAG1XMLContextBase (PAG1ParserState &state)
| PAG1XMLContextBase (PAG1ParserState &state, T1 arg1)
| PAG1XMLContextBase (PAG1ParserState &state)
| PAG1XMLContextBase (PAG1ParserState &state, T1 arg1)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T>
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
void | text (const char *value) override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
IWORKXMLContext & | m_container
bool | m_isRef
boost::optional< ID_t > | m_id

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ PAG1AnnotationElement()

libetonyek::PAG1AnnotationElement::PAG1AnnotationElement | ( | PAG1ParserState & | state,
|  | IWORKXMLContext & | container,
|  | bool | isRef = false )

## Member Function Documentation

## ◆ attribute()

void libetonyek::PAG1AnnotationElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::PAG1AnnotationElement::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

void libetonyek::PAG1AnnotationElement::endOfElement | ( |  | ) |
| overrideprotected

## ◆ text()

void libetonyek::PAG1AnnotationElement::text | ( | const char * | value | ) |
| overrideprotected

## Member Data Documentation

## ◆ m_container

IWORKXMLContext& libetonyek::PAG1AnnotationElement::m_container
| private

Referenced by element(), PAG1AnnotationElement(), and text().

## ◆ m_id

boost::optional<ID_t> libetonyek::PAG1AnnotationElement::m_id
| private

Referenced by attribute(), endOfElement(), and PAG1AnnotationElement().

## ◆ m_isRef

bool libetonyek::PAG1AnnotationElement::m_isRef
| private

Referenced by endOfElement(), and PAG1AnnotationElement().

The documentation for this class was generated from the following files:

- PAG1AnnotationElement.h
- PAG1AnnotationElement.cpp